<?php

namespace App\Model\Database\Entity;

use App\Model\Database\Entity\Attributes\TCreatedAt;
use App\Model\Database\Entity\Attributes\TId;
use App\Model\Database\Entity\Attributes\TUpdatedAt;
use App\Model\Exception\Logic\InvalidArgumentException;
use App\Model\Security\Identity;
use App\Model\Utils\DateTime;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 */
class DictType extends AbstractEntity 
{
    use TId;

    public function __construct($short_name,$full_name)
    {
	$this->shortName = $short_name;
	$this->fullName = $full_name;
    }

   /**
     * @ORM\Column(type="string")
     */
    protected $shortName;

    public function getShortName()
    {
	return $this->shortName;
    }

    /**
     * @ORM\Column(type="string")
     */
    protected $fullName;

    public function getFullName()
    {
	return $this->fullName;
    }

}

?>
